Package com.orchestranetworks.service.comparison

# Interface DifferenceBetweenOccurrences

All Superinterfaces:
  `Difference`, `DifferenceBetweenContents`

public interface DifferenceBetweenOccurrences extends DifferenceBetweenContents
Represents the difference between two records.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Adaptation`
  `getContentOnLeft()`
  Returns the content on the left side.
  `Adaptation`
  `getContentOnRight()`
  Returns the content on the right side.
  `NodeDifference`
  `getNodeDifferenceOnTargetChangeSet(NodeDifference nodeDifferenceOnSource, DifferenceBetweenHomes targetChangeSet)`
  `Adaptation`
  `getOccurrenceOnLeft()`
  Returns the record on the left side.
  `Adaptation`
  `getOccurrenceOnRight()`
  Returns the record on the right side.
  `String`
  `getXPathPredicateOnLeft()`
  `String`
  `getXPathPredicateOnRight()`

  ### Methods inherited from interface com.orchestranetworks.service.comparison.Difference

  `isResolvedMode`

  ### Methods inherited from interface com.orchestranetworks.service.comparison.DifferenceBetweenContents

  `collectNodeDifferences, getNodeDifference, getNodeDifferences, getNodeDifferencesSize, isEmpty`

- ## Method Details

  - ### getOccurrenceOnLeft

    Adaptation getOccurrenceOnLeft()
    Returns the record on the left side.

  - ### getOccurrenceOnRight

    Adaptation getOccurrenceOnRight()
    Returns the record on the right side.

  - ### getContentOnLeft

    Adaptation getContentOnLeft()
    Description copied from interface: `DifferenceBetweenContents`
    Returns the content on the left side.
    Specified by:
      `getContentOnLeft` in interface `DifferenceBetweenContents`

  - ### getContentOnRight

    Adaptation getContentOnRight()
    Description copied from interface: `DifferenceBetweenContents`
    Returns the content on the right side.
    Specified by:
      `getContentOnRight` in interface `DifferenceBetweenContents`

  - ### getNodeDifferenceOnTargetChangeSet

    NodeDifference getNodeDifferenceOnTargetChangeSet(NodeDifference nodeDifferenceOnSource, DifferenceBetweenHomes targetChangeSet)
    Specified by:
      `getNodeDifferenceOnTargetChangeSet` in interface `DifferenceBetweenContents`

  - ### getXPathPredicateOnLeft

    String getXPathPredicateOnLeft()

  - ### getXPathPredicateOnRight

    String getXPathPredicateOnRight()